from .invest import Invest
from .trivia import Trivia
from .blackjack import Blackjack
from .fourInARow import FourInARow
from .gameLoops import GameLoops
from .monopoly import Monopoly
from .hangman import Hangman
from .hex import HexGame
from .werewolf import Werewolf

class Games():
    def __init__(self, bot):
        self.bot = bot

        bot.invest = Invest(bot)
        bot.trivia = Trivia(bot)
        bot.blackjack = Blackjack(bot)
        bot.fourInARow = FourInARow(bot)
        bot.gameLoops = GameLoops(bot)
        bot.monopoly = Monopoly(bot)
        bot.hangman = Hangman(bot)
        bot.hex = HexGame(bot)
        bot.werewolf = Werewolf(bot)
